# Account number 1.0

{% hint style="info" %}
TEST DATA:

number: 4444444444

bank\_code: 214
{% endhint %}

## Verify Bank account

<mark style="color:green;">`POST`</mark> `https://api.myidentitypay.com/api/v2/biometrics/merchant/data/verification/bank_account`

This endpoint allows you to verify a bank account number

#### Headers

| Name                                        | Type   | Description         |
| ------------------------------------------- | ------ | ------------------- |
| x-api-key<mark style="color:red;">\*</mark> | string | < your secret key > |
| app-id<mark style="color:red;">\*</mark>    | String | \<your app id>      |

#### Request Body

| Name       | Type   | Description             |
| ---------- | ------ | ----------------------- |
| bank\_code | string | code of the user's bank |
| number     | string | bank account number     |

{% tabs %}
{% tab title="200 " %}

```
{
    "status": true,
    "detail": "Verification Successfull",
    "account_data": {
        "account_number": "",
        "account_name":"",
    },
    "verification": {
        "status": "",
        "reference": ""
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.myidentitypass.com/products/data-verification/nigeria/bank-account-verification-1/bank-account-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
